#
# spec file for package python3-pluggy
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pluggy
Version:        0.3.0
Release:        5.2
Summary:        plugin and hook calling mechanisms for python
License:        MIT
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/pluggy
Source:         https://pypi.python.org/packages/source/p/pluggy/pluggy-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is the plugin manager as used by pytest but stripped of pytest
specific details.

During the 0.x series this plugin does not have much documentation
except extensive docstrings in the pluggy.py module.

%prep
%setup -q -n pluggy-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc README.rst LICENSE CHANGELOG

%changelog
* Wed May 27 2015 arun@gmx.de
- specfile:
  * corrected license information
* Sun May 24 2015 arun@gmx.de
- initial version
